﻿//***************************************************************************
// (C) 1998 - 2011 Avery Weigh-Tronix, LLC. 
//***************************************************************************
// TITLE: wtconst.cs
// DESCR: This is the C# version of the wtconst.bas constants definition 
//        file to be used with the AWTX WtCommScl ActiveX control 
//        (p/n: 1150-16067).
//        The developer must add this file to the application project.
//

//***************************************************************************
// Revision History:
//***************************************************************************
//
// Rev Date       Desc
// --- ---------  ------------------------------------------------------
//  1  19-MAR-98  Original as released with WtCommScl ver (0.1.0)
//  2  05-OCT-12  Added wtWTCOMM_EV_RECONNECT
//

// **************************************************************************
// APPLICATION GLOBAL CONSTANTS (PUBLIC)
// **************************************************************************

namespace WTCommScl_Tester3
{
    public static class wtConst
    {
        // Scale Connection:
        // (used to set connection and determine current connection status)
        public const int wtSCALE_OFFLINE = 0;
        public const int wtSCALE_ONLINE = 1;

        // Model 7010 Scale Status Codes:
        public const int wtNORMAL_MODE = 0;
        public const int wtTEST_MODE = 1;
        public const int wtCALIB_MODE = 2;
        public const int wtSHOWING_TARE = 3;
        public const int wtSHOWING_LO = 4;
        public const int wtSHOWING_ERR = 5;
        public const int wtSHOWING_ERRL = 6;
        public const int wtSHOWING_DASHES = 7;
        public const int wtNOT_USED1 = 8;
        public const int wtNOT_USED2 = 9;
        public const int wtNOT_USED3 = 10;
        public const int wtNOT_USED4 = 11;
        public const int wtSHOWING_8888 = 12;
        public const int wtSHOWING_TARE_ERR = 13;
        public const int wtCALIB_MODE_TARE = 14;
        public const int wtSHOWING_CAL = 15;

        // ScaleCommEvent Codes:
        public const int wtWTCOMM_EV_WEIGHT = 1;        //weight updated (or changed)
        public const int wtWTCOMM_EV_STATUS = 2;        //status changed
        public const int wtWTCOMM_EV_DISCONNECT = 3;    //scale has disconnected (offline)
        public const int wtWTCOMM_EV_RECONNECT = 4;     //scale has reconnected (online)
        
        // Scale Units of Measure Definitions (Raw):
        // (used with public variable RawWt)
        public const int wtUOM_NONE = 0;                //no units of measure recvd with weight
        public const int wtUOM_KG = 1;                  //weight is in KG
        public const int wtUOM_LBOZ_DEC = 2;            //weight is in LB:OZ (LSD by 0.1oz)
        public const int wtUOM_G = 3;                   //weight is in G
        public const int wtUOM_LBOZ_FRAC = 4;           //weight is in LB:OZ (LSD by 1/4 oz)
    }
}
